package sample.gui;

import java.util.Hashtable;
import javax.swing.AbstractButton;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JMenu;
import javax.swing.JMenuBar;

import misc.ApplicationManager;
import misc.Util;

@SuppressWarnings ("serial") public class JSampleMenuBar extends JMenuBar {

    // ========================================
    public JSampleMenuBar (ApplicationManager controllerManager, ApplicationManager sampleManager, ApplicationManager helpManager) {
				setLayout (new BoxLayout (this, BoxLayout.X_AXIS));
				JMenu fileMenu = Util.addJMenu (this, "File");
				JMenu sampleMenu = Util.addJMenu (this, "Sample");
				add (Box.createHorizontalGlue ());
				JMenu helpMenu = Util.addJMenu (this, "Help");

				sampleManager.addMenuItem (fileMenu, sampleMenu);
				controllerManager.addMenuItem (fileMenu);
				helpManager.addMenuItem (helpMenu);

				Hashtable<String, AbstractButton> buttons = new Hashtable<String, AbstractButton> ();
				Util.collectButtons (buttons, fileMenu);
				Util.collectButtons (buttons, sampleMenu);
				Util.collectButtons (buttons, helpMenu);

				controllerManager.addActiveButtons (buttons);
				sampleManager.addActiveButtons (buttons);
				helpManager.addActiveButtons (buttons);
    }

    // ========================================
}

