package sample.gui;

import java.awt.Component;
import java.awt.Dimension;
import java.util.Hashtable;
import javax.swing.AbstractButton;
import javax.swing.Box;
import javax.swing.JComponent;
import javax.swing.JToolBar;

import misc.ApplicationManager;
import misc.Bundle;
import misc.Util;

@SuppressWarnings ("serial") public class JSampleToolBar extends JToolBar {

    // ========================================
    public static final Dimension space = new Dimension (10, 10);

    // ========================================
    public JSampleToolBar (ApplicationManager controllerManager, ApplicationManager sampleManager, ApplicationManager helpManager) {
				super (Bundle.getTitle (Util.getClassName (JSampleToolBar.class)));

				controllerManager.addIconButtons (this, space);
				sampleManager.addIconButtons (this, space);
				if (helpManager != null) {
						add (Box.createRigidArea (space));
						helpManager.addIconButtons (this, space);
				}
				add (Box.createHorizontalGlue ());
				add (Box.createVerticalGlue ());

				Hashtable<String, AbstractButton> buttons = new Hashtable<String, AbstractButton> ();
				Util.collectButtons (buttons, this);
				for (Component component : getComponents ()) {
						try {
								((JComponent) component).setAlignmentX (Component.CENTER_ALIGNMENT);
						} catch (Exception e) {
								e.printStackTrace ();
						}
				}
				controllerManager.addActiveButtons (buttons);
				sampleManager.addActiveButtons (buttons);
				helpManager.addActiveButtons (buttons);
    }

    // ========================================
}
